Bug Hunting Session
Bug 74070 - Autocorrect Replacement Table: same size for 'Replace' and 'With' fields
Summary: Autocorrect Replacement Table: same size for 'Replace' and 'With' fields
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.3.0 target:4.2.3
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-26 08:00 UTC by tommy27
Modified: 2014-04-13 16:57 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
new autocorrect table 4.3.0dev (11.94 KB, image/png)
2014-01-30 01:53 UTC, tommy27
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tommy27 2014-01-26 08:00:05 UTC
Tools/Autocorrect options/Replace

from the OOo era the UI of the replacement table has always had a different width of the 'Replace' and 'With' fields, the 'Replace' field being much shorted than the 'With' field.

see attachment 82595 [details]

I would enlarge the width of the "Replace" field to make it at least long as the "with".  IMHO there's no advantage in this asimmetry: they should have the same size.
Comment 1 tommy27 2014-01-26 08:06:54 UTC
this is a spin-off of Bug 67040 which is about allowing manual resize of the entire replacement table.

the current request is different and it's about changing the static width of 'Replace' & 'With' fields which is actually asimmetric.

I add UI expert to CC list.

@Kendy
is this something you can take a look?
Comment 2 tommy27 2014-01-26 08:14:03 UTC
I also add Andras Timar to CC list since he did a nice fix on a somewhat related Autocorrect UI issue (see Bug 64652 )
Comment 3 Jean-Baptiste Faure 2014-01-26 11:55:32 UTC
Valuable enhancement request.
Set status to NEW.

best regards. JBF
Comment 4 Caolán McNamara 2014-01-29 10:51:45 UTC
we can make them the same width trivially
Comment 5 Commit Notification 2014-01-29 10:58:22 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d464a7423ac8f3eb30eb80a0e5041989a4cc2da

Resolves: fdo#74070 make replace and with fields the same width



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 tommy27 2014-01-30 01:53:36 UTC
Created attachment 93029 [details]
new autocorrect table 4.3.0dev

thank for the fix Caolan!!! as you can see from the screenshot this is much better than before.

being a trivial and apparently safe fix I suggest backporting to 4.2.1
Comment 7 tommy27 2014-02-17 17:50:45 UTC
just a little reminder... any chance this easy fix could be pushed to the 4.2.x branch?
Comment 8 Caolán McNamara 2014-02-18 15:58:27 UTC
https://gerrit.libreoffice.org/8109
Comment 9 Commit Notification 2014-02-18 16:19:36 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a05e22067a167b0aa41ffdad0d061371811a177d&h=libreoffice-4-2

Resolves: fdo#74070 make replace and with fields the same width


It will be available in LibreOffice 4.2.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 tommy27 2014-04-13 16:57:22 UTC
thanks Caolan. VERIFIED in LibO 4.2.3.3 under Win7x64